Create card

This request creates a Card within Secure Payments.

   Click here to learn more about this request

A card is an instrument for logging transactions on a line of credit account. There are a few methods for creating cards within our system. Here's how this method differs:

This request creates a card within Secure Payments, but NOT within LMS. Card information will not be sent to LMS when this request is sent. However, a previously created card can be linked to a line of credit account within LMS if desired.

This request uses a Secure Payments endpoint.

Here are a few more details about this request:

When a card is created, most of its information can be determined by the Program and customer that it's associated with. Take a look at the minimum required payload example to see which information can be auto-filled by the Program.

A newly created card is represented by a UUID. A card's UUID is not returned within the response of this request, though; to receive it, use the GET job updates endpoint using the "job_uuid" received in the response of this request.

Cards are associated with Issuers, Programs, and customers within Secure Payments.

Cards fit within the Secure Payments ecosystem as follows:

Secure Payments account > Issuers > Card Programs > Cards > Swipes > Swipe Events


{
    "card": {
        "card_program_id": 314,
        "customer_id": 987,
        "card_status": "active",
        "card_title": "Visa Credit Card",
        "card_currency": "USD",
        "available_balance": 10000.00,
        "available_advance_balance": 10000.00,
        "spend_limit": 5000.00,
        "spend_limit_interval": "monthly",
        "issuer_product_id": "45678",
        "processing_type": "credit",
        "shipping_method": "standard",
        "network": "visa",
        "card_background": "color",
        "card_color": "128,128,128",
        "card_text_color": "255,255,255",
        "card_type": "physical",
        "expiration_date": "01/2026",
        "authorization_expiration_days": 10,
        "card_metadata": "{\"tenantId\": \"5200243\"}",
        "tos_timestamp": "2024-01-01 14:23:56",
        "kyc_passed_timestamp": "2024-01-01 14:23:56",
        "billing_address": {
            "address1": "3874 Michigan Ave",
            "address2": "",
            "zipcode": "60602",
            "city": "Chicago",
            "state": "IL",
            "country": "USA",
            "use_customer_primary": true
        },
        "shipping_address": {
            "address1": "3874 Michigan Ave",
            "address2": "",
            "zipcode": "60602",
            "city": "Chicago",
            "state": "IL",
            "country": "USA",
            "use_billing": true,
            "use_customer_mailing": false
        },
        "swipe_expiration_exceptions": [
            {
                "attribute": "merchant-postal-code",
                "attribute_values": "3000,4500,3569",
                "authorization_expiration_days": 5
            }
        ],
        "swipe_restrictions": [
            {
                "attribute": "merchant-name",
                "attribute_whitelist": true,
                "attribute_values": "walmart,target",
                "authorize_when_empty": true
            }
        ]
    }
}
{
    "card": {
        "card_program_id": 314,
        "customer_id": 987,
        "expiration_date": "01/2026",
        "card_metadata": "{\"tenantId\": \"893\"}",
        "billing_address": {
            "use_customer_primary": true
        },
        "shipping_address": {
            "use_billing": true,
            "use_customer_mailing": false
        },
        "swipe_expiration_exceptions": [
            {
                "attribute": "merchant-name",
                "attribute_values": "target",
                "authorization_expiration_days": 7
            }
        ]
    }
}

Results

Returns the job_uuid after a successful card creation. An error results in a context object and a message indicating the type of error (e.g. missing payload information).

Path Params
string
required
Defaults to byoi

The type of Issuer that the card will be associated to.

Body Params
card
object

This object holds Card information.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json